
#!/usr/bin/ruby
# frozen_string_literal: true

# @Author: yun
# @Date:   2023

require 'sketchup.rb'
require 'extensions.rb'

# ========================

module Cloud_material
  module Cloud_material
    @extversion           = '2023.2'
    @exttitle             = '云中库PRO专业版'
    @extname              = 'cloudlibrarypro'
    @old              = 'cloudlibrarypro.rbe'

    @extdir = File.dirname(__FILE__)
    @extdir.force_encoding('UTF-8') if @extdir.respond_to?(:force_encoding)

    del = File.join(@extdir, @extname, 'cloudlibrarypro.rbe')
    flag = FileTest::exists?(del)
    if  flag==true
      File.delete(del)
    end
    #if Sketchup.version.to_i <19
    #         UI.messagebox("云中库Pro版提醒您：您使用的sketchup版本比较老了，需要安装SketchUp 2019及其以上版本。")
    # end
    if Sketchup.version.to_i < 19 && (UI.messagebox("云中库Pro版提醒您：\n您使用的sketchup版本比较老，需要安装SketchUp 2019及其以上版本。\n是否卸载云中库Pro?", MB_YESNO) == IDYES)
  File.delete(__FILE__)
  UI.messagebox("云中库Pro版提醒您：您可通过以下途径下载新版本：\n1.羽兔网https://www.yutu.cn/popsoft_686.html")
end



    loader = File.join(@extdir, @extname, 'cloudlibrarypro.rb')

    extension             = SketchupExtension.new(@exttitle, loader)
    extension.copyright   = "Copyright 2021-#{Time.now.year} @Author:云中库"
    extension.creator     = '客服微信：yunzhongku001'
    extension.version     = @extversion
    extension.description = '云中库PRO专业版'


    Sketchup.register_extension(extension, true)
  end 
end 
